*,
*::before,
*::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "Satoshi";
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: hsl(0, 0%, 8%);
}

ul {
  display: flex;
  gap: 1rem;
  list-style: none;
}

.link {
  text-decoration: none;
  color: #fff;
  font-size: 22px;
  padding: 1rem 2rem;
  position: relative;
}

.link::before,
.link::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 2px;
  background: #fff;
  transform: scaleX(0);
  transition: all 0.6s ease;
}

.link::before {
  top: 0;
  left: 0;
  transform-origin: left;
}
.link::after {
  bottom: 0;
  left: 0;
  transform-origin: right;
}

.link:hover::before,
.link:hover::after {
  transform: scaleX(1);
}
